<?php
header("Content-Type:text/css");
$color = "#f0f"; // Change your Color Here
$secondColor = "#ff8"; // Change your Color Here

function checkhexcolor($color)
{
    return preg_match('/^#[a-f0-9]{6}$/i', $color);
}

if (isset($_GET['color']) and $_GET['color'] != '') {
    $color = "#" . $_GET['color'];
}

if (!$color or !checkhexcolor($color)) {
    $color = "#336699";
}


function checkhexcolor2($secondColor)
{
    return preg_match('/^#[a-f0-9]{6}$/i', $secondColor);
}

if (isset($_GET['secondColor']) and $_GET['secondColor'] != '') {
    $secondColor = "#" . $_GET['secondColor'];
}

if (!$secondColor or !checkhexcolor2($secondColor)) {
    $secondColor = "#336699";
}


function hexToHsl($hex)
{
    $hex   = str_replace('#', '', $hex);
    $red   = hexdec(substr($hex, 0, 2)) / 255;
    $green = hexdec(substr($hex, 2, 2)) / 255;
    $blue  = hexdec(substr($hex, 4, 2)) / 255;
    $cmin  = min($red, $green, $blue);
    $cmax  = max($red, $green, $blue);
    $delta = $cmax - $cmin;
    if ($delta == 0) {
        $hue = 0;
    } elseif ($cmax === $red) {
        $hue = (($green - $blue) / $delta);
    } elseif ($cmax === $green) {
        $hue = ($blue - $red) / $delta + 2;
    } else {
        $hue = ($red - $green) / $delta + 4;
    }
    $hue = round($hue * 60);
    if ($hue < 0) {
        $hue += 360;
    }
    $lightness  = (($cmax + $cmin) / 2);
    $saturation = $delta === 0 ? 0 : ($delta / (1 - abs(2 * $lightness - 1)));
    if ($saturation < 0) {
        $saturation += 1;
    }
    $lightness  = round($lightness * 100);
    $saturation = round($saturation * 100);
    $hsl['h']   = $hue;
    $hsl['s']   = $saturation;
    $hsl['l']   = $lightness;
    return $hsl;
}
?>

:root{
--base-h: <?php echo hexToHsl($color)['h']; ?>;
--base-s: <?php echo hexToHsl($color)['s']; ?>%;
--base-l: <?php echo hexToHsl($color)['l']; ?>%;
--base-two-h: <?php echo hexToHsl($secondColor)['h']; ?>;
--base-two-s: <?php echo hexToHsl($secondColor)['s']; ?>%;
--base-two-l: <?php echo hexToHsl($secondColor)['l']; ?>%;

--base: var(--base-h) var(--base-s) var(--base-l);

}

.cmn--btn, hot__plan__subtitle, .section__cate::before, .section__cate::after, .video-button::before, .video-button::after, .video-button, .service__card:hover .service__icon, .team__item:hover::after, .pricing-deco, .pricing-action, .post__item:hover .post__content .post__date a[class*="cmn"], .social-icons li a:hover, .scrollToTop, .cmn--table thead tr th, .btn-primary, .btn-primary:hover, .submenu li a:hover, .customBtn, .custom--bg, .menu li .submenu li:hover > a, .dot:nth-child(1), .dot:nth-child(3), .dot:nth-child(5), .owl-dots .owl-dot.active, .owl-dots .owl-dot span{
background: <?php echo $color; ?> !important;
}


div[class*="col"]:nth-of-type(6n + 3) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 2) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 1) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 4) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 5) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 6) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 1) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 2) .dashboard__item .dashboard__icon,
div[class*="col"]:nth-of-type(6n + 3) .dashboard__item .dashboard__icon{
background: <?php echo $color; ?>;
}

.dashboard__item:hover .dashboard__icon {
background: #fff;
color: <?php echo $color; ?>;
}


.la-check:before, .about__item .icon, .section__cate, .counter__item .counter__icon, .footer-links li::after, .save-price, .widget__post .widget__post__content span, .location-area .location-item .location-thumb i, .fa-desktop:before, .fa-edit:before, .fa-trash:before, .custom--cl, .la-star:before{
color: <?php echo $color; ?>;
}

.cmn--btn:hover, .post__item:hover .post__content .post__date a[class*="cmn"], .btn-primary, .btn-primary:hover{
border-color: <?php echo $color; ?>;
}

.cmn--btn::before, .cmn--btn::after, .dot:nth-child(2), .dot:nth-child(4){
background: <?php echo $secondColor; ?>;
}

.price__item__2 .price__item__body .cpm{
color: <?php echo $secondColor; ?>;
}

.btn-dark{
background: <?php echo $secondColor; ?>;
border: 1px solid <?php echo $secondColor; ?>;
}

.link--hover:hover, .link--hover:hover{
background-image: <?php echo $color; ?>;
}

.owl-dots .owl-dot{
border: 1px solid <?php echo $color; ?>;
}

.counter__item, .service__card, .client__item, .banner-hot-plan{
background: <?php echo $color; ?>33 !important;
}

select.minimal:focus{
border-color: <?php echo $color; ?> !important;
}

.form--control-2{
border: 1px solid <?php echo $color; ?>4d !important;

}

.header-bottom, .langSel{
background: <?php echo $color; ?>1a;
}

.page-item.active .page-link {
background-color: <?php echo $color; ?>;
border-color: <?php echo $color; ?>;
}

.pagination .page-item a.active, .pagination .page-item a:hover, .pagination .page-item span.active, .pagination .page-item span:hover{
background-color: <?php echo $color; ?>;
}

.pagination .page-item a, .pagination .page-item span, .page-item.disabled .page-link{
background-color: <?php echo $color; ?>33;
}

.about-thumb-wrapper{
border-left: 7px solid <?php echo $color; ?>;
}

.about-thumb .about-experience{
background: <?php echo $color; ?>80;
}

.btn--base:disabled{
background-color: <?php echo $color; ?>6e !important;
}