@extends('admin.layouts.app')

@section('panel')
    <div class="row">

        <div class="col-lg-12">
            <div class="card b-radius--10 ">
                <div class="card-body p-0">

                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">

                            <thead>
                                <tr>
                                    <th>@lang('Date')</th>
                                    <th>@lang('Credit') </th>
                                    <th>@lang('Price')</th>
                                    <th>@lang('Username')</th>
                                    <th>@lang('Details')</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($histories as $data)
                                    <tr>
                                        <td>
                                            {{ showDateTime($data->created_at) }}
                                        </td>

                                        <td>
                                            {{ getAmount($data->credit) }}
                                        </td>

                                        <td>
                                            {{ getAmount($data->price) }}
                                            {{ __(gs()->cur_text) }}
                                        </td>

                                        <td>
                                            <a href="{{ route('admin.users.detail', $data->user_id) }}">
                                                {{ __($data->user->username) }}
                                            </a>
                                        </td>

                                        <td>
                                            {{ __($data->details) }}
                                        </td>
                                    @empty
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                @if ($histories->hasPages())
                    <div class="card-footer py-4">
                        {{ paginateLinks($histories) }}
                    </div>
                @endif
            </div><!-- card end -->
        </div>
    </div>
@endsection
