@if ($paginator->lastPage() > 1)
    <ul class="pagination justify-content">
        <li class="page-item {{ $paginator->currentPage() == 1 ? ' disabled' : '' }}">
            <a class="page-link" href="{{ $paginator->url(1) }}" aria-label="Previous">
                <span aria-hidden="true">«</span>
            </a>
        </li>

        @for ($i = 1; $i <= $paginator->lastPage(); $i++)
            <li class="page-item {{ $paginator->currentPage() == $i ? ' active' : '' }}"><a class="page-link" href="{{ $paginator->url($i) }}">{{ $i }}</a></li>
        @endfor

        <li class="page-item {{ $paginator->currentPage() == $paginator->lastPage() ? ' disabled' : '' }}">
            <a class="page-link" href="{{ $paginator->url($paginator->currentPage() + 1) }}" aria-label="Next">
                <span aria-hidden="true">»</span>
            </a>
        </li>

    </ul>

@endif

@push('style')
    <style>
        .pagination {
            flex-wrap: wrap;
        }
    </style>
@endpush
