@php
    $footer = getContent('footer.content', true);
    $elements = getContent('footer.element');
@endphp

<footer class="bg--overlay bg_fixed bg_img" data-background="{{ getImage('assets/images/frontend/footer/' . @$footer->data_values->image, '1920x1080') }}">
    <div class="container">
        <div class="footer-top pt-120 pb-80">
            <div class="footer-logo">
                <a href="{{ route('home') }}">
                    <img src="{{ siteLogo() }}" alt="logo">
                </a>
            </div>
            <p class="footer--text">
                {{ __(@$footer->data_values->heading) }}
            </p>
            <ul class="footer-links">

                <li>
                    <a href="{{ route('home') }}" class="nav-link">@lang('Home')</a>
                </li>

                <li>
                    <a href="{{ route('plans') }}" class="nav-link">@lang('Plans')</a>
                </li>

                <li>
                    <a href="{{ route('blogs') }}" class="nav-link">@lang('Blogs')</a>
                </li>
                @foreach ($pages as $k => $data)
                    <li><a href="{{ route('pages', [$data->slug]) }}" class="nav-link">{{ trans($data->name) }}</a></li>
                @endforeach

                <li>
                    <a href="{{ route('contact') }}" class="nav-link">@lang('Contact')</a>
                </li>

            </ul>
        </div>
        <div class="footer-bottom d-flex flex-wrap-reverse justify-content-between align-items-center py-3">
            <div class="copyright text--white">
                {{ __($footer->data_values->copy_right_text) }}
            </div>
            <ul class="social-icons">
                @foreach ($elements as $element)
                    <li>
                        <a href="{{ $element->data_values->link }}" target="_blank">
                            @php echo $element->data_values->icon; @endphp
                        </a>
                    </li>
                @endforeach
            </ul>
        </div>
    </div>
</footer>
