<!-- Header Section -->
<header>
    <div class="header-top py-2">
        <div class="container">
            <div class="d-flex flex-wrap justify-content-between align-items-center mx--10">
                <div class="header-top-item meta-list ps-0">
                    @include('Template::partials.lang')
                </div>

                @auth
                    <div class="d-flex flex-wrap meta-list">
                        <div class="header-top-item">
                            <a href="{{ route('user.home') }}"><i class="las la-user"></i>@lang('Dashboard')</a>
                        </div>
                        <div class="header-top-item">
                            <a href="{{ route('user.logout') }}"><i class="las la-sign-out-alt"></i>@lang('Logout')</a>
                        </div>
                    </div>
                @else
                    <div class="d-flex flex-wrap meta-list">
                        <div class="header-top-item">
                            <a href="{{ route('user.register') }}"><i class="las la-user-plus"></i>@lang('Registration')</a>
                        </div>
                        <div class="header-top-item ml-sm-auto">
                            <a href="{{ route('user.login') }}"><i class="las la-user"></i>@lang('Login')</a>
                        </div>
                    </div>
                @endauth
            </div>
        </div>
    </div>
    <div class="header-bottom">
        <div class="container">
            <div class="header-wrapper d-flex justify-content-between">
                <div class="logo">
                    <a href="{{ route('home') }}"><img src="{{ siteLogo() }}" alt="logo"></a>
                </div>
                <ul class="menu">
                    <li>
                        <a class="nav-link" href="{{ route('home') }}">@lang('Home')</a>
                    </li>

                    @foreach ($pages as $k => $data)
                        <li class="menu"><a href="{{ route('pages', [$data->slug]) }}" class="nav-link">{{ trans($data->name) }}</a></li>
                    @endforeach

                    <li>
                        <a class="nav-link" href="{{ route('plans') }}">@lang('Plans')</a>
                    </li>

                    <li>
                        <a class="nav-link" href="{{ route('blogs') }}">@lang('Blogs')</a>
                    </li>

                    <li>
                        <a class="nav-link" href="{{ route('contact') }}">@lang('Contact')</a>
                    </li>

                </ul>
                <div class="header-bar d-lg-none">
                    <span></span>
                    <span></span>
                    <span></span>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- Header Section -->
