@extends('Template::layouts.frontend')

@section('content')
    <section class="dashboard-section pt-80">
        <div class="container">
            <div class="pb-80">
                <div class="row g-4 justify-content-center">
                    @foreach ($plans as $plan)
                        <div class="col-lg-4 col-md-6">
                            <div class="pricing-item m-0">
                                <div class="pricing-deco">
                                    <img class="pricing--img" src="{{ asset($activeTemplateTrue . '/images/shape-wave.svg') }}" alt="@lang('Plan')">
                                    <div class="pricing-price"><span class="pricing-currency">{{ __(gs()->cur_sym) }}</span>
                                        {{ getAmount($plan->price) }}
                                    </div>
                                    <h3 class="pricing-title">{{ __($plan->name) }}</h3>
                                </div>
                                <ul class="pricing-feature-list">
                                    <li class="pricing-feature"><strong>{{ getAmount($plan->credit) }}</strong> @lang('credits')</li>
                                </ul>

                                @auth
                                    <button type="button" class="pricing-action buyBtn" data-id="{{ $plan->id }}">@lang('Purchase Now')</button>
                                @else
                                    <a class="pricing-action" href="{{ route('user.login') }}">@lang('Purchase Now')</a>
                                @endauth
                            </div>
                        </div>
                    @endforeach
                </div>
                {{ paginateLinks($plans, 'Template::paginate') }}
            </div>
        </div>
    </section>

    @if ($sections->secs != null)
        @foreach (json_decode($sections->secs) as $sec)
            @include('Template::sections.' . $sec)
        @endforeach
    @endif

    @auth
        @include('Template::partials.buy_modal')
    @endauth
@endsection
