@php
    $about = getContent('about.content', true);
    $elements = getContent('about.element');
@endphp

<section class="about-section pt-120 pb-120 overflow-hidden">
    <div class="container">
        <div class="row gx-4 gy-5 flex-wrap-reverse align-items-center">
            <div class="col-lg-6">
                <div class="about-thumb-wrapper h-100">
                    <div class="about-thumb ">
                        <img src="{{ getImage('assets/images/frontend/about/' . @$about->data_values->background_image, '569x467') }}" alt="about">
                        <div class="about-experience">

                        </div>
                        <a href="{{ @$about->data_values->video_link }}" class="about__video m-0" data-lightbox="">
                            <div class="video-button">
                                <i class="las la-play"></i>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="about--content">
                    <div class="section__header">
                        <span class="section__cate">@lang('About Us')</span>
                        <h3 class="section__title">
                            {{ __(@$about->data_values->heading) }}
                        </h3>
                    </div>
                    <p class="para__text">
                        {{ __(@$about->data_values->sub_heading) }}
                    </p>
                    <div class="row g-4">
                        @foreach ($elements as $element)
                            <div class="col-lg-6 col-md-6 col-sm-12">
                                <div class="about__item">
                                    <div class="icon">
                                        @php echo $element->data_values->icon; @endphp
                                    </div>
                                    <div class="info">
                                        <h6 class="subtitle">
                                            {{ __($element->data_values->text) }}
                                        </h6>
                                    </div>
                                </div>
                            </div>
                        @endforeach

                    </div>
                    <div class="mt-4 mt-lg-5">
                        <a href="{{ @$about->data_values->btn_link }}" class="cmn--btn">{{ __(@$about->data_values->btn_text) }}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
