@php
    $banner = getContent('banner.content', true);
    $features = getContent('banner.element');
@endphp

<section class="banner-section bg_img" data-background="{{ getImage('assets/images/frontend/banner/' . @$banner->data_values->image, '1920x1080') }}">
    <div class="container">
        <div class="banner__wrapper">
            <div class="banner__left">
                <h2 class="banner__left__title text--white">
                    {{ __(@$banner->data_values->heading) }}
                </h2>
                <ul class="banner--list text--white">

                    @foreach ($features as $data)
                        <li>
                            <i class="las la-check"></i> {{ __($data->data_values->feature) }}
                        </li>
                    @endforeach

                </ul>
                <a href="{{ @$banner->data_values->btn_link }}" class="cmn--btn btn--lg">{{ __(@$banner->data_values->btn_text) }}</a>
            </div>
            <div class="banner__right">
                <div class="banner-hot-plan">
                    <span class="check__icon">
                        <i class="las la-check-circle custom--cl"></i>
                    </span>
                    <h5 class="hot__plan__subtitle custom--bg text--white">@lang('Top Sold')</h5>
                    <h2 class="hot__plan__price text--white"><sup>{{ __(gs()->cur_sym) }}</sup>{{ getAmount(@$topSoldPlan->price) }}</h2>
                    <span class="hot__plan__info">
                        <h6 class="text-white">{{ __(@$topSoldPlan->name) }}</h6>
                    </span>
                    <span class="hot__plan__info">
                        @lang('Credits') <span class="custom--cl">{{ getAmount(@$topSoldPlan->credit) }}</span>
                    </span>
                    @auth
                        <button type="button" class="pricing-action buyBtn" data-id="{{ $topSoldPlan->id }}">@lang('Purchase Now')</button>
                    @else
                        <a class="pricing-action" href="{{ route('user.login') }}">@lang('Purchase Now')</a>
                    @endauth
                </div>
            </div>
        </div>
    </div>
</section>

@auth
    @include('Template::partials.buy_modal')
@endauth
