@extends('Template::layouts.app')

@section('panel')
    @php
        $bgImage = getContent('backgroundImage.content', true);
    @endphp

    <section class="account--section bg_img bg--overlay pb-80 pt-80" data-background="{{ getImage('assets/images/frontend/backgroundImage/' . @$bgImage->data_values->image, '1920x1080') }}">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="contact-wrapper bg--glass">
                        <div class="logo">
                            <a href="{{ route('home') }}"><img src="{{ siteLogo() }}" alt="logo"></a>
                        </div>
                        <h3 class="card-header title text-center text--white mb-20 mb-lg-4">@lang('Reset Password')</h3>

                        <form method="POST" action="{{ route('user.password.update') }}">
                            @csrf
                            <input type="hidden" name="email" value="{{ $email }}">
                            <input type="hidden" name="token" value="{{ $token }}">

                            <div class="col-md-12">
                                <div class="form--group">
                                    <label class="form-label text-white">@lang('Password')</label>
                                    <input type="password" class="form-control form--control-2 @if (gs('secure_password')) secure-password @endif" name="password" required>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form--group">
                                    <label class="form-label text-white">@lang('Confirm Password')</label>
                                    <input type="password" class="form-control form--control-2" name="password_confirmation" required>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form--group">
                                    <button type="submit" class="cmn--btn justify-content-center w-100"> @lang('Submit')</button>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@if (gs('secure_password'))
    @push('script-lib')
        <script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
    @endpush
@endif
