@extends('Template::layouts.master')

@section('content')
    <section class="dashboard-section pt-80">
        <div class="container">
            <div class="pb-80">
                <div class="row g-4 justify-content-center">
                    @foreach ($plans as $plan)
                        <div class="col-lg-4 col-md-6">
                            <div class="pricing-item m-0">
                                <div class="pricing-deco">
                                    <img class="pricing--img" src="{{ asset($activeTemplateTrue . '/images/shape-wave.svg') }}" alt="@lang('Plan')">
                                    <div class="pricing-price"><span class="pricing-currency">{{ __(gs()->cur_sym) }}</span>
                                        {{ getAmount($plan->price) }}
                                    </div>
                                    <h3 class="pricing-title">{{ __($plan->name) }}</h3>
                                </div>
                                <ul class="pricing-feature-list">
                                    <li class="pricing-feature"><strong>{{ getAmount($plan->credit) }}</strong> @lang('credits')</li>
                                </ul>
                                <a class="pricing-action {{ Auth::user() != null ? 'buyBtn' : null }}" data-id="{{ $plan->id }}" href="{{ Auth::user() == null ? route('user.login') : '#0' }}">@lang('Purchase Now')</a>
                            </div>
                        </div>
                    @endforeach
                </div>
                {{ paginateLinks($plans, 'Template::paginate') }}
            </div>
        </div>
    </section>

    <div id="buyModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">@lang('Confirmation')!</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="{{ route('user.plan.buy') }}" method="POST">
                    @csrf
                    <input type="hidden" name="id">
                    <div class="modal-body">
                        <strong class="text-dark">@lang('Are you sure to buy this plan')?</strong>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn--dark" data-bs-dismiss="modal">@lang('Close')</button>
                        <button type="submit" class="btn custom--bg text-white">@lang('Confirm')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@push('script')
    <script>
        (function($) {

            "use strict";

            $('.buyBtn').on('click', function() {
                let modal = $('#buyModal');
                modal.find('input[name=id]').val($(this).data('id'));
                modal.modal('show');
            });

        })(jQuery);
    </script>
@endpush

@push('style')
    <style>
        span {
            font-weight: bold;
        }
    </style>
@endpush
