<!doctype html>
<html lang="en">


<head>
    <meta charset="utf-8" />
    <link rel="shortcut icon" type="image/png" href="{{ getImage(imagePath()['logoIcon']['path'] . '/favicon.png') }}" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link rel="stylesheet" href="{{ asset('assets/admin/css/vendor/bootstrap.min.css') }}">
    <script src="{{ asset('assets/admin/js/vendor/jquery-3.6.0.min.js') }}"></script>
    <title>{{ gs()->sitename(__($pageTitle) ?? '') }}</title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
    <style>
        #myProgress {
            width: 100%;
            background-color: #ddd;
        }

        #myBar {
            width: 10%;
            height: 30px;
            background-color: #00bcd4;
            text-align: center;
            line-height: 30px;
            color: white;
        }

        #confirm {
            color: white;
            font-weight: 600;
        }

        .inputcaptcha {
            width: 60px;
        }

        @media(max-width: 767px) {
            #myProgress {
                margin-bottom: 15px;
            }
        }

        .form--control-2 {
            border: 1px solid rgba(255, 255, 255, 0.1);
            background: rgba(255, 255, 255, 0.1);
            color: #fff;
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            border-radius: 3px;
            height: 50px;
            margin: 5px;
        }

        button.form--control-2 {
            background: red;
        }

        .form--control-2::placeholder {
            color: #fff;
        }

        .c--form {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: center;
        }

        /* Chrome, Safari, Edge, Opera */
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

        /* Firefox */
        input[type=number] {
            -moz-appearance: textfield;
        }

        .mh-100vh {
            min-height: 100vh;
        }
    </style>

</head>

<body>



    <nav class="navbar navbar-dark bg-primary p-4 mb-0" id="">
        <div class="container">
            <div class="col-md-4 text-center">
                <div id="myProgress">
                    <div id="myBar">0%</div>
                </div>
            </div>

            <ul class="nav navbar-nav navbar-right justify-self-center mx-auto justify-self-xl-end mr-xl-0">
                <li class="active row justify-content-center">
                    <form class="c--form" action="{{ route('user.view.confirm') }}" method="post">
                        @csrf
                        <input class="text-center form--control-2" type="hidden" name="id" value="{{ $id }}">
                        <span id="inputcaptchahidden" class="d-none">
                            <input name="num1" id="cap_number_1" class="inputcaptcha text-center form--control-2" value="{{ rand(0, 9) }}" type="text" readonly class="form-control">
                            <label for="exampleInputEmail2" style="color: #fff;">+</label>
                            <input name="num2" id="cap_number_2" class="inputcaptcha text-center form--control-2" value="{{ rand(0, 9) }}" type="text" readonly class="form-control">
                            <label for="exampleInputEmail2" style="color: #fff;">=</label>
                            <input name="result" type="number" class="inputcaptcha text-center form--control-2" id="cap_result" required class="form-control">&nbsp;
                        </span>
                        <button type="" id="confirm" class="btn btn-danger btn-md form--control-2" readonly="">
                            @lang('Loading Items')
                        </button>
                    </form>
                </li>
            </ul>
        </div>
    </nav>


    <script>
        'use strict';
        (function($) {
            $('#cap_result').on('input', function() {
                var val1 = document.getElementById("cap_number_1").value;
                var val2 = document.getElementById("cap_number_2").value;
                var val3 = document.getElementById("cap_result").value;
                var sum = parseInt(+val1 + +val2);
                if (sum == val3) {
                    var confirmButton = document.getElementById("confirm");
                    confirmButton.removeAttribute('disabled');
                    confirmButton.className = "btn btn-success form--control-2";
                    confirmButton.setAttribute('href', '{{ route('user.view.confirm') }}');
                } else {
                    var confirmButton = document.getElementById("confirm");
                    confirmButton.setAttribute('disabled', '');
                    confirmButton.className = "btn btn-danger form--control-2";
                    confirmButton.removeAttribute('href', '#');
                }
            });

            function move() {
                var elem = document.getElementById("myBar");
                var width = 0;
                var id = setInterval(frame, {{ $advertisement->duration * 10 }});

                function frame() {
                    if (width >= 100) {
                        var confirmButton = document.getElementById("confirm");
                        confirmButton.className = "btn btn-danger  form--control-2";
                        confirmButton.innerHTML = "Confirm Credit";
                        var captchaInputHidden = document.getElementById("inputcaptchahidden");
                        captchaInputHidden.classList.remove("d-none");
                        clearInterval(id);
                    } else {
                        width++;
                        elem.style.width = width + '%';
                        elem.innerHTML = width + '%';
                    }
                }
            }

            window.onload = move;

        })(jQuery);

        document.addEventListener('visibilitychange', function() {
            if (document.visibilityState === 'hidden') {
                //change code in here
                document.body.innerHTML = `
                       <div class="d-flex flex-wrap justify-content-center align-items-center clear-msg">
                            <h3 class="text-danger text-center">@lang('Sorry you can\'t go anywhere from this tab while viewing an ad')</h3>
                        </div>
                    `;
            }
        })
    </script>


    <iframe src="{{ $advertisement->url }}" class="iframe" style="border: 0; position:absolute; width:100%; min-height: 100vh; height:100%"></iframe>

    <script src="{{ asset('assets/admin/js/vendor/bootstrap.bundle.min.js') }}"></script>
    @include('admin.partials.notify')

</body>

</html>
